GFPERF-TREE(1)

NAME
gfperf-tree - Gfarm measure directory tree performance

SYNOPSIS

gfperf-tree [-t, --testdir test directory] [-w, --width number of directories] [-d, --depth depth of directories] [-u, --unit output unit]

DESCRIPTION

This command creates a directory tree in test directory. And measures performance creating directory tree and removing it. The created directory tree has number of directories in each subdirectories. Total depth of the tree is depth of directories

Output unit is ops (operation per second) or usec (micro second).

OPTIONS

-t, --testdir test directory
    Directory tree is created in test directory. If gfarm url (that begins with gfarm:///) is specified, measured by gfarm functions. If file url (that begins with file:///) is specified, measured by posix functions. The default is gfarm:///tmp .

-w, --width number of directories
    Specify number of directories in each subdirectories.

-d, --depth depth of directories
    Total depth of directory tree.

-u, --uinit output unit
    Specify ops (operations per second) or usec (micro second). The default is ops.